Page MenuHomePhabricator

Widen the search box on the search results page
Closed, ResolvedPublic

Description

The search box for the search results page needs to be wider. It is only 43 characters wide.

"Widen the search box in the Vector skin", widens the search box for the skin from to 45 to 55 search characters. The old Search relied mostly on (automated) page ranking software, but with eight new parameters, we are able to specify entirely new kinds of searches, the kind that need more work area.

The user should be able to set the search-box width.

Event Timeline

Cpiral created this task.Jan 18 2016, 6:33 AM
Cpiral raised the priority of this task from to Needs Triage.
Cpiral updated the task description. (Show Details)
Cpiral added a project: CirrusSearch.
Cpiral added a subscriber: Cpiral.
Restricted Application added a project: Discovery. · View Herald TranscriptJan 18 2016, 6:33 AM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript
Cpiral updated the task description. (Show Details)Jan 22 2016, 12:15 AM
Cpiral set Security to None.
EBernhardson moved this task from Needs triage to UX on the Discovery board.Feb 11 2016, 11:23 PM
Cpiral updated the task description. (Show Details)Jun 14 2016, 6:17 PM
Restricted Application added a project: Discovery-Search. · View Herald TranscriptJun 14 2016, 6:17 PM
debt triaged this task as Normal priority.Jun 14 2016, 10:18 PM
debt moved this task from needs triage to This Quarter on the Discovery-Search board.
matmarex closed this task as Resolved.Jun 15 2016, 3:42 PM
matmarex added subscribers: matmarex, Florian.

This task doesn't include a screenshot, so it's impossible to tell what you were seeing when you reported it, but I believe this happened as part of T100898: Convert Special:Search to OOUI.

Before
After
debt added a subscriber: debt.Jun 15 2016, 4:25 PM

cool, thanks! :)

It's more reasonable now with 70 characters than it was before with 50. Thanks!

But why 70? When the width of the search box is maximized (instead of magically-numbered) the page looks best and associates page elements best because 1) the Search button is always underneath the help link, and 2) the namespace chooser box is "with" the search box, always the same width, always the size of the window. It is critical that any use of the search box always keep the namespace-chooser box in view in order to properly interpret the search results. Having them the same width (as well as having the namespace-chooser box directly below the search box), will no-doubt help this critical association. (I'm not asking here for those two page elements to be entirely integrated visually; eventually they probably will be boxed together.)

The maximum query length is 300. I'm not asking for a new JavaScript gadget here, that would guarantees query visibility and editability. Once the search box maxes out, only the keyboard can work a query, so when this happens user experience is degraded.

Nor is mousing over to a too-distant, 200 em away, Search button ever an issue. The rare time the Search button might needed is to touch it on a touch screen, having revisiting a search.

There is no specific reason for the width, it's limited to 50 em like all OOjs UI text fields are by default. If the screen narrower than that, it will take full width. I'm not sure why this limit exists, but I like it, things that are too big sometimes don't look clickable (and the styling in the default theme really doesn't do much to indicate this either, unlike in the Apex theme that MonoBook uses).